As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 782947 - Add referral codes to Box Filelink component
: Add referral codes to Box Filelink component
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: FileLink (show other bugs)
: 16 Branch
: x86 All
: -- normal (vote)
: Thunderbird 18.0
Assigned To: Mike Conley (:mconley) - Getting through review / needinfo backlog
:
:
Mentors:
Depends on:
Blocks: 767327
  Show dependency treegraph
 
Reported: 2012-08-15 07:05 PDT by Mike Conley (:mconley) - Getting through review / needinfo backlog
Modified: 2012-10-01 13:25 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
+
fixed
fixed


Attachments
Patch v1 (703 bytes, patch)
2012-10-01 06:44 PDT, Mike Conley (:mconley) - Getting through review / needinfo backlog
standard8: review+
standard8: approval‑comm‑aurora+
standard8: approval‑comm‑beta+
Details | Diff | Splinter Review

Description User image Mike Conley (:mconley) - Getting through review / needinfo backlog 2012-08-15 07:05:15 PDT
I can only assume that our partnership with Box.com on the default Filelink support means that we get some referral codes for users who sign up for an account, or who decide to upgrade if/when their storage quota is exceeded.

As it stands, we have no such referral codes in the Box.com implementation.

We should probably get those in, unless there are other arrangements that I'm not privy to.
Comment 1 User image Mike Conley (:mconley) - Getting through review / needinfo backlog 2012-09-19 13:16:12 PDT
Jb - any update on this? I think we definitely need this for TB 16.
Comment 2 User image Mike Conley (:mconley) - Getting through review / needinfo backlog 2012-10-01 06:44:51 PDT
Created attachment 666526 [details] [diff] [review]
Patch v1

This patch adds the URL that Box supplied to us to the "Get an account" link in the Filelink set-up-account dialog.

FYI - I don't see any branding or indication that we came from Thunderbird when we follow this link (https://www.box.com/thunderbird) - not sure if that was part of the agreement, but just something of note.
Comment 3 User image Mark Banner (:standard8) 2012-10-01 12:59:38 PDT
Comment on attachment 666526 [details] [diff] [review]
Patch v1

r=me

[Triage Comment]
We want this for TB 16, so a=me as well.
Comment 4 User image Mike Conley (:mconley) - Getting through review / needinfo backlog 2012-10-01 13:25:35 PDT
comm-central: https://hg.mozilla.org/comm-central/rev/444167e85747
comm-aurora: https://hg.mozilla.org/releases/comm-aurora/rev/7d0f6b4d951e
comm-beta: https://hg.mozilla.org/releases/comm-beta/rev/0d4f11976e39

Note You need to log in before you can comment on or make changes to this bug.